Bug 827175 - gnome-settings-deamon: display: setting display to inverted on X220 tablet leaves tablet unchanged
gnome-settings-deamon: display: setting display to inverted on X220 tablet le...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 16:11 EDT by Alon Levy
Modified: 2014-08-04 18:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:34:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2012-05-31 16:11:35 EDT
Description of problem:
Using an X220 lenovo with F17, setting the display to inverted via the control center doesn't also invert the touchpad, resulting in the touch being out of sync with the cursor, i.e. the cursor becomes mirrored.

See workaround below at additional info.

Version-Release number of selected component (if applicable):
control-center-3.4.1-1_fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
Start with a laptop X220 Tablet Lenovo with no external monitors (single monitor shows up in step 1)
1. gnome-control-center display
2. choose Rotation "180 Degrees"
  
Actual results:
Touch is out of sync: you touch on the right side of the screen, the cursor shows up in the left, exactly mirrored.

Expected results:/usr/share/applications/gnome-display-panel.desktop
The cursor should appear at the touched point.

Additional info:

Workaround:
running from the command line:
xinput set-int-prop 11 265 8 3
where 11 is the "Wacom ISDv4 E6 Finger touch" from "xinput list" and 265 is "Wacom Rotation" from "xinput list-props 11"
This probably needs to be done for the other Wacom pointers.
Comment 1 Alon Levy 2012-06-01 18:29:50 EDT
Moving the bug to gnome-settings-daemon after looking at the code and seeing gnome-control-center drives gnome-settings-daemon which does the actual resolution change, and I think should also do the wacom rotation.

The "Steps to reproduce" are still gnome-control-center centric, since I don't know how to reproduce without it (I guess I could send the right dbus signals), and I hope it's good enough the way it is.

Additional note: The "Expected results:..." line has a pasto, it should just say "Expected results:"
Comment 2 Fedora End Of Life 2013-07-03 16:30:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 16:35:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.